com.io7m.r2.meshes

## Interface R2MeshBasicType

- All Superinterfaces:
    R2MeshType
  All Known Implementing Classes:
    R2MeshBasic

      public interface R2MeshBasicType
      extends R2MeshType

  The type of basic meshes.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `it.unimi.dsi.fastutil.BigList<com.io7m.jtensors.parameterized.PVectorI3D<R2SpaceObjectType>>` | `getNormals()`
    `it.unimi.dsi.fastutil.BigList<com.io7m.jtensors.parameterized.PVectorI3D<R2SpaceObjectType>>` | `getPositions()`
    `it.unimi.dsi.fastutil.BigList<R2MeshTriangleType>` | `getTriangles()`
    `it.unimi.dsi.fastutil.BigList<com.io7m.jtensors.parameterized.PVectorI2D<R2SpaceTextureType>>` | `getUVs()`
    `it.unimi.dsi.fastutil.BigList<R2MeshBasicVertexType>` | `getVertices()`
    `default <A,E extends Exception> A` | `matchMesh(com.io7m.jfunctional.PartialFunctionType<R2MeshBasicType,A,E> on_basic, com.io7m.jfunctional.PartialFunctionType<R2MeshTangentsType,A,E> on_tangents)` Match a mesh type.

- - ### Method Detail

    - #### getNormals

          it.unimi.dsi.fastutil.BigList<com.io7m.jtensors.parameterized.PVectorI3D<R2SpaceObjectType>> getNormals()

      Returns:
        The list of normal vectors

    - #### getPositions

          it.unimi.dsi.fastutil.BigList<com.io7m.jtensors.parameterized.PVectorI3D<R2SpaceObjectType>> getPositions()

      Returns:
        The list of position vectors

    - #### getUVs

          it.unimi.dsi.fastutil.BigList<com.io7m.jtensors.parameterized.PVectorI2D<R2SpaceTextureType>> getUVs()

      Returns:
        The list of UV vectors

    - #### getVertices

          it.unimi.dsi.fastutil.BigList<R2MeshBasicVertexType> getVertices()

      Returns:
        The list of vertices

    - #### getTriangles

          it.unimi.dsi.fastutil.BigList<R2MeshTriangleType> getTriangles()

      Returns:
        The list of triangles

    - #### matchMesh

          default <A,E extends Exception> A matchMesh(com.io7m.jfunctional.PartialFunctionType<R2MeshBasicType,A,E> on_basic,
                                                      com.io7m.jfunctional.PartialFunctionType<R2MeshTangentsType,A,E> on_tangents)
                                               throws E extends Exception

      Description copied from interface: `R2MeshType`
      Match a mesh type.
      Specified by:
        `matchMesh` in interface `R2MeshType`
      Type Parameters:
        `A` - The type of returned values
        `E` - The type of raised exceptions
      Parameters:
        `on_basic` - Evaluated on basic meshes
        `on_tangents` - Evaluated on meshes with tangents
      Returns:
        A value of `A`
      Throws:
        `E` - If the given functions raise `E`
        `E extends Exception`

Copyright © 2016 <code@io7m.com> http://io7m.com